Subject: Re: [PATCH/RFCv2 1/2] git-rebase -i: add command "drop" to remove a commit

From: Junio C Hamano <[email-masked]>
Date: Tue, 02 Jun 2015 10:14:17 -0700

Matthieu Moy <[email-masked]> writes:

> Discussions on this list often lead to "Oh, BTW, shall we do XYZ also?",
> but you shouldn't take this kind of remark as blocking (as long as XYZ
> is not incompatible with your patch, which is the case here).

Yeah, thanks for clarification.  As long as what is given to 'drop'
is checked when it matters (e.g. when the code in patch 2/2 tries
see if some commits in the original list are no longer there in
order to warn sees "drop foo bar" where "foo" is obviously not an
object name in the original list, that should be checked), it is
fine.  And I agree 1/2 is not the place to do so, even though it may
be easier from the implementation point of view (which is why I
mentioned the possibility in the review of that patch).